<template>
  <card
    @click='showDetail(parentData.id)'
    class="marvel-project-list__card">
      <img class="marvel-project-list__img"
        v-bind:alt="'image of ' + parentData.name"
        :src="parentData.thumbnail.path + '.' + parentData.thumbnail.extension" />
      
      <p class="marvel-project-list__name">
        <strong>
          {{parentData.name}}
        </strong>
      </p>
  </card>  
</template>

<script>

export default {
  name: 'CardMarvel',
  props: {
    parentData: Object
  },
  data() {
    return {
      id: null,
    }
  },
  methods: {
    showDetail(id) {
      this.$router.push('/details/' +  id);
    },
  }
}
</script>

<style lang='scss' scoped>

.marvel-project-list {
  &__card {
    background: white;
    border-radius: 10px;
    transition: all 0.3s cubic-bezier(.25, .8, .25, 1);
    box-shadow: 0 3px 6px rgba($color-black, 0.16), 0 3px 6px rgba($color-black, 0.23);
    width: 200px;
    cursor: pointer;
    &:hover {
      box-shadow: 0 14px 28px rgba($color-black, 0.25), 0 10px 10px rgba($color-black, 0.22);
    }
  }

  &__img {
    height: 200px;
    width: 100%;
    object-fit: cover;
    border-radius: 10px 10px 0 0;
    box-shadow: 0 1px 6px rgba($color-black, 0.23);
  }
}

</style>
